Welcome to the forums. Please post in English or French.

You are not logged in.

#1 2022-05-08 07:18:28

dbpatankar
Member
From: Roorkee, Uttarakhand, India
Registered: 2010-05-22
Posts: 206

singularity : GLIBC_2.34 not found

Hi,

I have installed salome_meca 2021 container image using singularity on my arco-linux machine. So far it worked without any issue and I was able to use it. But now may be after an upgrade the salome_meca is unable to start. Here follows what happens and what I know about the issue :

1. When I run it in GPU mode, I get the GLIBC_2.34 error message

$./salome_meca-lgpl-2021.0.0-2-20211014-scibian-9
/usr/bin/nvidia-smi
**************************************
INFO : Running salome_meca in GPU mode
**************************************
runSalome running on digvijay-gl552vx
Searching for a free port for naming service: 2812 - OK
Searching Naming Service  + found in 0.1 seconds 
Searching /Kernel/Session in Naming Service  ++++SALOME_Session_Server: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.34' not found (required by /.singularity.d/libs/libGLX.so.0)
Traceback (most recent call last):
  File "/opt/salome_meca/Salome-V2021-s9/modules/KERNEL_V9_7_0/bin/salome/orbmodule.py", line 181, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/salome_meca/appli_V2021/bin/salome/runSalome.py", line 694, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/opt/salome_meca/appli_V2021/bin/salome/runSalome.py", line 639, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/opt/salome_meca/Salome-V2021-s9/modules/KERNEL_V9_7_0/bin/salome/orbmodule.py", line 183, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 8691 for /Kernel/Session not found


--- Error during Salome launch ---

2. When I run it in software rendering mode, it starts properly though rendering is not proper:

$./salome_meca-lgpl-2021.0.0-2-20211014-scibian-9 --soft
*****************************************************
INFO : Running salome_meca in software rendering mode
*****************************************************
runSalome running on digvijay-gl552vx
Searching for a free port for naming service: 2813 - OK
Searching Naming Service  + found in 0.1 seconds 
Searching /Kernel/Session in Naming Service  +++++++++++ found in 5.5 seconds 
Start SALOME, elapsed time :   6.1 seconds
****************************************************************
     Warning: module GHS3DPLUGIN is improperly configured!
     Module GHS3DPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module GHS3DPRLPLUGIN is improperly configured!
     Module GHS3DPRLPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module BLSURFPLUGIN is improperly configured!
     Module BLSURFPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module NETGENPLUGIN is improperly configured!
     Module NETGENPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module HYBRIDPLUGIN is improperly configured!
     Module HYBRIDPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module GMSHPLUGIN is improperly configured!
     Module GMSHPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module HexoticPLUGIN is improperly configured!
     Module HexoticPLUGIN will not be available in GUI mode!
****************************************************************

3. I can get into the container shell and inspect the environment:

Singularity> ldd --version
ldd (Debian GLIBC 2.24-11+deb9u4) 2.24
Copyright © 2016 Free Software Foundation, Inc.
Ce logiciel est libre; voir les sources pour les conditions de
reproduction. AUCUNE garantie n'est donnée; tant pour des raisons
COMMERCIALES que pour RÉPONDRE À UN BESOIN PARTICULIER.
Écrits par Roland McGrath et Ulrich Drepper.

The container has GLIBC_2.24. My system has GLIBC_2.35. Not sure which GLIBC is causing this issue. It most likely appears to be from container but then not sure how it worked earlier.

singularity version is 3.9.0

I also checked the container image with Fedora 35 and Ubuntu 22.04 and they all give GLIBC_2.34 error whereas Ubuntu 18.04 works well. So is this an issue with GLIBC on host machine?

As far as I know, the newer GLIBC should have older GLIBC binaries.

Can someone point to a solution to this?

Offline

#2 2022-05-14 12:45:56

CharlesM
Member
From: France
Registered: 2021-10-04
Posts: 5

Re: singularity : GLIBC_2.34 not found

Hello, have you found a solution ?

I am experiencing the same issue.  (Glibc_ 2.34) Crashing in GPU, rendering problems in software rendering.
(For example, when it works, I cannot edit in text mode in the aster-study module. )

Offline

#3 2022-05-14 17:57:25

dbpatankar
Member
From: Roorkee, Uttarakhand, India
Registered: 2010-05-22
Posts: 206

Re: singularity : GLIBC_2.34 not found

CharlesM wrote:

Hello, have you found a solution ?

Not yet! Forced to stick to Ubuntu 18.04 for now until this gets resolved. Although I have no idea how thats going to happen because I was using it without any issue until a few weeks ago.

Offline